Bug 1224571 - [abrt] torbrowser-launcher: client.py:1559:request:TypeError: _getEndpoint() takes exactly 4 arguments (2 given)
Summary: [abrt] torbrowser-launcher: client.py:1559:request:TypeError: _getEndpoint() ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torbrowser-launcher
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Mayr
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3b4b50bb7ceef7a04de10b7c91f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-24 20:05 UTC by Rastus Vernon
Modified: 2015-07-16 18:08 UTC (History)
5 users (show)

Fixed In Version: torbrowser-launcher-0.2.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:07:57 UTC


Attachments (Terms of Use)
File: backtrace (1.65 KB, text/plain)
2015-05-24 20:05 UTC, Rastus Vernon
no flags Details
File: environ (837 bytes, text/plain)
2015-05-24 20:05 UTC, Rastus Vernon
no flags Details

Description Rastus Vernon 2015-05-24 20:05:04 UTC
Version-Release number of selected component:
torbrowser-launcher-0.1.9-2.fc22

Additional info:
reporter:       libreport-2.5.1
cmdline:        /usr/bin/python2 /usr/bin/torbrowser-launcher
dso_list:       python-twisted-15.1.0-1.fc22.x86_64
executable:     /usr/bin/torbrowser-launcher
kernel:         4.0.2-300.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
client.py:1559:request:TypeError: _getEndpoint() takes exactly 4 arguments (2 given)

Traceback (most recent call last):
  File "/usr/bin/torbrowser-launcher", line 30, in <module>
    torbrowser_launcher.main()
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/__init__.py", line 69, in main
    app = Launcher(common, url_list)
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 131, in __init__
    self.build_ui()
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 285, in build_ui
    self.start(None)
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 294, in start
    self.run_task()
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 312, in run_task
    self.download('update check', self.common.paths['update_check_url'], self.common.paths['update_check_file'])
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 473, in download
    None)
  File "/usr/lib64/python2.7/site-packages/twisted/web/client.py", line 1926, in request
    deferred = self._agent.request(method, uri, headers, bodyProducer)
  File "/usr/lib64/python2.7/site-packages/twisted/web/client.py", line 1559, in request
    endpoint = self._getEndpoint(parsedURI)
TypeError: _getEndpoint() takes exactly 4 arguments (2 given)

Local variables in innermost frame:
self: <txsocksx.http.SOCKS5Agent object at 0x7fd902c1d6d0>
uri: 'https://www.torproject.org/projects/torbrowser/RecommendedTBBVersions'
bodyProducer: None
headers: Headers({'user-agent': ['torbrowser-launcher']})
parsedURI: <twisted.web.client.URI object at 0x7fd9016db850>
method: 'GET'

Comment 1 Rastus Vernon 2015-05-24 20:05:06 UTC
Created attachment 1029271 [details]
File: backtrace

Comment 2 Rastus Vernon 2015-05-24 20:05:07 UTC
Created attachment 1029272 [details]
File: environ

Comment 3 Fedora Update System 2015-05-30 15:30:34 UTC
torbrowser-launcher-0.2.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.2.0-1.fc21

Comment 4 Fedora Update System 2015-05-30 15:32:36 UTC
torbrowser-launcher-0.2.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.2.0-1.fc22

Comment 5 Fedora Update System 2015-06-01 17:02:08 UTC
Package torbrowser-launcher-0.2.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing torbrowser-launcher-0.2.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9247/torbrowser-launcher-0.2.0-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-10 19:07:57 UTC
torbrowser-launcher-0.2.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-06-10 19:15:30 UTC
torbrowser-launcher-0.2.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Rastus Vernon 2015-06-11 07:38:27 UTC
This release indeed fixes the problem, as well as bug 1226477.

Comment 9 roman 2015-06-20 12:41:31 UTC
Another user experienced a similar problem:

install torbrowser-launcher using dnf. Start tor-browser

reporter:       libreport-2.6.0
cmdline:        /usr/bin/python2 /usr/bin/torbrowser-launcher
dso_list:       python-twisted-15.1.0-1.fc22.x86_64
executable:     /usr/bin/torbrowser-launcher
kernel:         4.0.5-300.fc22.x86_64
package:        torbrowser-launcher-0.2.0-1.fc22
reason:         client.py:1559:request:TypeError: _getEndpoint() takes exactly 4 arguments (2 given)
runlevel:       N 5
type:           Python
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.